# Prompt about a meeting

`POST /meeting.prompt`

## Description

Ask an AI question about a meeting's transcript content. Returns a natural language response based on the meeting transcript.

**Access:** Organization and Personal. Personal access tokens restrict to meetings the authenticated user participated in.

**Required scope:** `meetings:read`

---

**OpenAPI Spec:** [chat-v1.json](https://developer.ro.am/chat-v1.json)

## Authentication

```
Authorization: Bearer YOUR_API_KEY
```

## Request Body

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | string | Yes | The meeting ID. |
| `prompt` | string | Yes | The question to ask about the meeting. |

## Responses

### 200 - Response generated successfully

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `response` | string | Yes | AI-generated response to the prompt |


#### Example Response

```json
{
  "response": "Alex was assigned two action items: 1) Update the API documentation with v1 meeting endpoints, and 2) Review the PR for the new webhook events."
}
```

### 400 - Bad request. Missing `id` or `prompt`.

### 401 - Presented invalid authentication credentials.

### 404 - Meeting not found or meeting has no transcript.

### 405 - An unsupported method was requested.

### 500 - An internal error occurred.

---

*Machine-readable API documentation.*
*Full documentation: https://developer.ro.am/docs/api/meeting-prompt*
